%global libdnf_version 0.62.0

Summary:        Lightweight implementation of DNF in C
Name:           microdnf
Version:        3.9.1
Release:        3%{?dist}
License:        GPLv2+
URL:            https://github.com/rpm-software-management/microdnf
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc meson >= 0.36.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0 pkgconfig(gobject-2.0) >= 2.44.0
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.20.0 pkgconfig(smartcols)
BuildRequires:  pkgconfig(libdnf) >= %{libdnf_version}
BuildRequires:  help2man
Requires:       libdnf >= %{libdnf_version} dnf-data

%description
This package is a lightweight C implementation of DNF, designed to perform simple packaging 
actions when you don't need full-blown DNF and you want the tiniest useful environments possible.

That means you don't need any interpreter stack, you just need the most minimal environment 
so you can build what you need.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc README.md
%{_mandir}/man8/microdnf.8*
%{_bindir}/%{name}

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.9.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 cunshunxia <cunshunxia@tencent.com> - 3.9.1-2
- Rebuilt for libdnf 0.70.2

* Wed Jul 12 2023 Wang Guodong <gordonwwang@tencent.com> - 3.9.1-1
- Upgrade to 3.9.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.9.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.9.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Wang Guodong <gordonwwang@tencent.com> - 3.9.0-1
- package init.
